Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.dom
Class NamespaceImpl

    java.lang.Object
      com.novell.xml.dom.NodeImpl
          com.novell.xml.dom.NamespaceImpl

All Implemented Interfaces:
  Namespace, Cloneable, Comparable, Node

    public class NamespaceImpl

extends NodeImpl
implements Namespace

DOM extension class that implements an XPath namespace node

Field Summary
`protected NamespaceName` | `namespaceName`
`protected Element` | `ownerElement`

Fields inherited from class com.novell.xml.dom.NodeImpl
`allowedChildren, baseURI, changeCount, document, documentOrderVal, expandedName, firstChild, lastChild, localName, namespaceURI, nextOrderVal, nextSibling, nodeName, nodeValue, parentNode, prefix, previousSibling, toStringSerializes, xmlnsPrefix, xmlPrefix, xpathBehavior`

Fields inherited from interface com.novell.xml.dom.Namespace
`NAMESPACE_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` | `NamespaceImpl(DocumentImpl owner, String prefix, String uri)` Construct a namespace node instance.

Method Summary
`String` | `getBaseURI()` Return the base URI string for this node.
`NamespaceName` | `getNamespaceName()` Return the `NamespaceName` object for this namespace node.
`short` | `getNodeType()` A code representing the type of the underlying object, as defined above.
`String` | `getNodeValue()` The value of this node, depending on its type; see the table above.
`Node` | `getParentNode()` The parent of this node.
`void` | `setOwningElement(Element parent)` Set the parent of this namespace node.

Methods inherited from class com.novell.xml.dom.NodeImpl
`appendChild, checkName, checkNameNS, cloneNode, compareTo, fetchNamespacesFromDecls, gateModify, getAttributes, getChangeCount, getChildNodes, getColumnNumber, getDocumentOrder, getExpandedName, getFirstChild, getLastChild, getLineNumber, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getOwnerDocument, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, incChangeCount, insertBefore, isChildAllowed, isReadOnly, isSupported, normalize, purgeCachedExpandedNames, removeChild, replaceChild, setBaseURI, setColumnNumber, setDeepReadOnly, setDocumentOrder, setLineNumber, setNodeValue, setOwnerDocument, setPrefix, setReadOnly, setXPathBehavior, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getOwnerDocument, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Field Detail

### ownerElement

    protected Element ownerElement

### namespaceName

    protected NamespaceName namespaceName

Constructor Detail

### NamespaceImpl

    protected NamespaceImpl(DocumentImpl owner,
                            String prefix,
                            String uri)

  Construct a namespace node instance.

  Parameters:
    `prefix` - The namespace declaration prefix. This is returned by `getNodeName()`
    `uri` - The namespace uri. This is returned by `getNodeValue()`

Method Detail

### getNodeType

    public short getNodeType()

  A code representing the type of the underlying object, as defined above.

  Specified by:
    `getNodeType` in interface `Node`
  Specified by:
    `getNodeType` in class `NodeImpl`

### getParentNode

    public Node getParentNode()

  The parent of this node. All nodes, except `Document`, `DocumentFragment`, and `Attr` may have a parent. However, if a node has just been created and not yet added to the tree, or if it has been removed from the tree, this is `null`.

  Specified by:
    `getParentNode` in interface `Node`
  Overrides:
    `getParentNode` in class `NodeImpl`

### getNodeValue

    public String getNodeValue()
                        throws DOMException

  The value of this node, depending on its type; see the table above.

  Specified by:
    `getNodeValue` in interface `Node`
  Overrides:
    `getNodeValue` in class `NodeImpl`
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.
    `DOMException` - DOMSTRING_SIZE_ERR: Raised when it would return more characters than fit in a `DOMString` variable on the implementation platform.

### setOwningElement

    public void setOwningElement(Element parent)

  Set the parent of this namespace node.

  Parameters:
    `parent` - The owning Element of this namespace node

### getNamespaceName

    public NamespaceName getNamespaceName()

  Return the `NamespaceName` object for this namespace node. This should generally be used in preference to `getNodeValue()` (which returns the string value of the uri) because `NamespaceName` objects can be compared much more efficiently than can strings.

  Specified by:
    `getNamespaceName` in interface `Namespace`
  Returns:
    The `NamespaceName` of this namespace node

### getBaseURI

    public String getBaseURI()

  Return the base URI string for this node. If the base URI has not been explicitly set for this node the base URI of the parent node is returned. This may return `null` if the base URI has not been set for any node in this nodes chain of ancestors.

  Specified by:
    `getBaseURI` in interface `Node`
  Overrides:
    `getBaseURI` in class `NodeImpl`
  Returns:
    The base URI string for this node, or `null` if no base URI has been set for this node or one of its ancestors.
  See Also:
    `NodeImpl.setBaseURI(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD